Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### focused

Examples

    if(focused) {  // or "if (focused == true)"
      ellipse(25, 25, 50, 50);
    } else {
      line(0, 0, 100, 100);
      line(100, 0, 0, 100);
    }

Description | Confirms if a Processing program is "focused", meaning that it is active and will accept input from mouse or keyboard. This variable is "true" if it is focused and "false" if not. This variable is often used when you want to warn people they need to click on or roll over an applet before it will work.

Syntax

    focused

Usage | Web

Updated on February 09, 2008 04:38:52pm PST